Skip to main content
GET
Open positions (derivative)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string
required

Custody account number.

subAccountId
string
required

Derivative sub-account.

Response

200 - application/json

Successful response

cmd
string

Response command name.

rc
string

Result code, 1 = success.

data
object[]

List of open positions.

data[].symbol
string

Contract code.

data[].im
string

Margin ratio.

data[].deliver
integer<int64>

Number of SHORT.

data[].receive
integer<int64>

Number of LONG.

data[].net
integer<int64>

Open position (>0 = LONG, <0 = SHORT).

data[].side
string

L = Long, S = Short.

data[].lastPrice
number<double>

Market price.

data[].imValue
number<double>

Initial margin value.

data[].vmValue
number<double>

Profit/loss.

data[].mrValue
number<double>

Required margin value.

data[].duedate
string

Due date.

data[].pc_remain
string

Open position P&L %.